Skip to Content
inclamoDocs

Account Reporting Events

GET
/api/v1/accounts/{account_id}/reporting_events

Get paginated reporting events for the account. This endpoint returns reporting events such as first response time, resolution time, and other metrics. Only administrators can access this endpoint. Results are paginated with 25 items per page.

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

page?integer

The page parameter

Default1
since?string

The timestamp from where events should start (Unix timestamp in seconds)

until?string

The timestamp from where events should stop (Unix timestamp in seconds)

inbox_id?number

Filter events by inbox ID

user_id?number

Filter events by user/agent ID

name?string

Filter events by event name (e.g., first_response, resolution, reply_time)

Response Body

Success

application/json
  1. response
meta?
payload?array<>

List of reporting events

Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/reporting_events'
Example Response
{  "meta": {    "count": 0,    "current_page": 0,    "total_pages": 0  },  "payload": [    {      "id": 0,      "name": "string",      "value": 0.1,      "value_in_business_hours": 0.1,      "event_start_time": "2019-08-24T14:15:22Z",      "event_end_time": "2019-08-24T14:15:22Z",      "account_id": 0,      "conversation_id": 0,      "inbox_id": 0,      "user_id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}